Package twisted :: Package manhole :: Module service :: Class IManholeClient |
[frames | no frames]

## Class IManholeClient

    Interface --+
                |
               IManholeClient

Method Summary
| ``console`(self, list_of_messages)` Takes a list of (type, message) pairs to display.
| ``listCapabilities`(self)` List what manholey things I am capable of doing.
| ``receiveExplorer`(self, xplorer)` Receives an explorer.Explorer

Method Details

### console(self, list_of_messages) Takes a list of (type, message) pairs to display. Types include: "stdout" -- string sent to sys.stdout "stderr" -- string sent to sys.stderr "result" -- string repr of the resulting value of the expression "exception" -- a `failure.Failure`

### listCapabilities(self) List what manholey things I am capable of doing. i.e. `"Explorer"`, `"Failure"`

### receiveExplorer(self, xplorer) Receives an explorer.Explorer

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net